---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/sendgrid/for-developers/sending-email/enforced-tls#article
headline: Enforced TLS
description: Learn to retrieve or update Enforced TLS settings using our provided endpoints. Ensure recipients support TLS 1.1 or above.
url: https://www.twilio.com/docs/sendgrid/for-developers/sending-email/enforced-tls
inLanguage: en
dateModified: 2026-07-17T03:36:59.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Enforced TLS

The Enforced TLS settings specify whether the recipient is required to support Transport Layer Security (TLS) or have a valid certificate. The Enforced TLS endpoint supports retrieving and updating TLS settings.

> \[!CAUTION]
>
> If either `require_tls` or `require_valid_cert` is set to `true`, the recipient must support TLS 1.1 or higher or have a valid certificate. If these conditions are not met, we drop the message and send a block event with "TLS required but not supported" as the description.

## Retrieve Enforced TLS settings

Send a `GET` request to the Enforced TLS endpoint to retrieve the current Enforced TLS settings.

### Request URL

`GET https://api.sendgrid.com/v3/user/settings/enforced_tls HTTP/1.1`

### Response

```javascript
HTTP/1.1 200
{
    "require_tls": true,
    "require_valid_cert": false,
    "version": 1.1
}
```

## Update Enforced TLS settings

Send a `PATCH` request to the Enforced TLS endpoint to change the Enforced TLS settings. The following table lists the parameters you can update.

| URI Parameter        | Required | Requirements  | Description                                   |
| -------------------- | -------- | ------------- | --------------------------------------------- |
| require\_tls         | False    | true or false | Require recipient TLS support                 |
| require\_valid\_cert | False    | true or false | Require certificates to be valid              |
| version              | False    | 1.1, 1.2, 1.3 | The minimum required TLS certificate version. |

### Request URL

`PATCH https://api.sendgrid.com/v3/user/settings/enforced_tls HTTP/1.1`

### Request Body

```javascript
{
  "require_tls": true
}
```

### Response \[#response-2]

```javascript
HTTP/1.1 200
{
    "require_tls": true,
    "require_valid_cert": false,
    "version": 1.1
}
```
